#include "testwidget.h"
#include <tdeapplication.h>
#include <tdecmdlineargs.h>
#include <tdeaboutdata.h>

static const char description[] = I18N_NOOP("ExtDatePicker test program");
static const char notice[] = I18N_NOOP("Compares KDatePicker and ExtDatePicker");

static TDECmdLineOptions options[] =
{
	TDECmdLineLastOption
};

int main( int argc, char *argv[] )
{
	TDEAboutData aboutData( "test_extdatepicker", I18N_NOOP("Test ExtDatePicker"),
				"0.1", description, TDEAboutData::License_GPL,
				I18N_NOOP("(c) 2004, Jason Harris"), notice,
				"http://30doradus.org");
	aboutData.addAuthor("Jason Harris", 0,
				"jharris@30doradus.org", "http://www.30doradus.org");

	TDECmdLineArgs::init( argc, argv, &aboutData );

	TDEApplication a;
	TestWidget *t = new TestWidget(0,0);
	t->show();
	TQObject::connect(kapp, TQT_SIGNAL(lastWindowClosed()), kapp, TQT_SLOT(quit()));
	return a.exec();
}
